This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 488712 - After configuring Fedora to authenticate with windows domain, can't login using domain accounts
After configuring Fedora to authenticate with windows domain, can't login usi...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-03-05 07:06 EST by Oded Arbel
Modified: 2015-01-12 04:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:07:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2009-03-05 07:06:59 EST
Description of problem:
After using authconfig (or during first time boot) to configure network login to use a MS-Windows SBS 2003 domain, where no errors where detected, users still can't log in using Windows domain accounts

Version-Release number of selected component (if applicable):
5.4.5-1

How reproducible:
Always

Steps to Reproduce:
1. Install Microsoft SBS 2003 and configure it with the required user accounts
2. use authconfig to configure the domain settings on a Fedora 11 machine, and use "Join domain" to join the domain
3. try to log in using a Windows domain account
  
Actual results:
Incorrect login message

Expected results:
Successful login

Additional info:
Apparently this problem can be worked around by changing the smb.conf setting "winbind use default domain" from "false" as authconfig sets it, to "true".

Once that change was done and winbind restarted, domain logins worked perfectly well.
Comment 1 Tomas Mraz 2009-03-05 07:41:59 EST
I suppose that changing this setting can break some other configurations. Authconfig cannot support any possible network/server configuration it will always have to limit its options.

CCing samba maintainer for his opinion whether the winbind use default domain should be set to false or to true or left alone.
Comment 2 Simo Sorce 2009-03-05 08:32:27 EST
No it must be a conscious choice whether user names are fully qualified or the domain is omitted for the default domain. By default they should be fully qualified to avoid possible conflicts with existing local accounts.
If you feel it is important an explicit option in authconfig may be provided I guess, but don't do that implicitly.
Comment 3 Oded Arbel 2009-03-05 09:15:39 EST
OK - I think I understand what I was missing: so to log in with winbind, by default I have to login as "DOMAIN\oded" instead of simply "oded", right?

I think that there should be a configuration option for this in authconfig (with a good explanation tool tip), at least so that users can discover that feature.
Comment 4 Stijn Hoop 2009-06-09 10:18:38 EDT
On the other hand, for first time boots there is a pretty good chance that there wont be conflicts with existing local accounts? And it seems like a good default to behave like Windows does for machines joined to a Windows domain, which is prefixing the domain name automatically.
Comment 5 Bug Zapper 2010-03-15 08:27:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-02 14:13:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 10:07:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Oded Arbel 2011-06-27 10:16:02 EDT
This is still an issue with current Fedora 15.
Comment 9 Fedora End Of Life 2013-04-03 16:18:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Fedora End Of Life 2015-01-09 16:38:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.